<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_a"></a>- a -</h3><ul>
<li>Action
: <a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#abb97fa5d08109a9e4666d314c9ac4977">SemanticSearchImplementation.SemanticSearch.Options</a>
</li>
<li>ADD
: <a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#a1674032f17b4fa7ac0f0d1c11a4ad256">SemanticSearchImplementation.SemanticSearch</a>
</li>
<li>AddDocumentAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a23a0989ca4df1ffe0ae35ce370ff05a4">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a1ff333af40c8164aa40b129e745a37cc">SemanticSearchImplementation.ISearchClient</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a264594363c603814ec6aaecdd4b43d68">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>AddDocumentsAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a656bbfaef5d43411849ca697a13934b2">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#aa8400c98add1356b9d594264cc1084ec">SemanticSearchImplementation.ISearchClient</a>
</li>
<li>AdditionalRule()
: <a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html#a3a6cd2cfefe48fa75e77a24044efa617">SemanticSearchImplementation.AdditionalRule</a>
</li>
<li>AddOtherDocuments()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a8fb393242f74b84e83b499ec66e7311c">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>Advanced
: <a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html#a5cb4a15c43639a143487a88655bca3b6">SemanticSearchImplementation.SemanticSearch.Options</a>
</li>
<li>ALIASES
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a0605373e42aced573965aca80dbd56b4">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>ApplicationProfile()
: <a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#a670c702984050548788edc50ff74eb38">SemanticSearchImplementation.ApplicationProfile</a>
</li>
<li>ApplicationProfileType
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381a">SemanticSearchImplementation.RdfClient</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
